import { Entity, PrimaryGeneratedColumn, ManyToOne, JoinColumn } from 'typeorm';
import { InstitucionCarrera } from '../../institucion-carrera/entity/institucion-carrera.entity';
import { Programa } from '../../programa/entity/programa.entity';

@Entity()
export class CarreraPrograma {
  @PrimaryGeneratedColumn()
  id_carrera_programa: number;

  @ManyToOne(
    () => InstitucionCarrera,
    (institucionCarrera) => institucionCarrera.programas,
    { eager: true },
  )
  @JoinColumn({ name: 'id_institucion_carrera' })
  carrera: InstitucionCarrera;

  @ManyToOne(() => Programa, (programa) => programa.carrerasPrograma, {
    eager: true,
  })
  @JoinColumn({ name: 'id_programa' })
  programa: Programa;
}
