import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { EquipoTipoEntrada } from '../../equipo/entity/equipo-tipo-entrada.entity';
import { InstitucionTipoEntrada } from './institucion-tipo-entrada.entity';

@Entity()
export class TipoEntrada {
  @PrimaryGeneratedColumn()
  id_tipo_entrada: number;

  @Column({ type: String, nullable: false, length: 20 })
  tipo_entrada: string;

  @OneToMany(
    () => EquipoTipoEntrada,
    (equipoTipoEntrada) => equipoTipoEntrada.tipoEntrada,
  )
  equiposTipoEntrada: EquipoTipoEntrada[];

  @OneToMany(
    () => InstitucionTipoEntrada,
    (institucionTipoEntrada) => institucionTipoEntrada.tipoEntrada,
  )
  instituciones: InstitucionTipoEntrada[];
}
