import { ConflictException, Module } from '@nestjs/common';
import { MulterModule } from '@nestjs/platform-express';
import { UploadFileController } from './upload-file.controller';
import { UploadFileService } from './upload-file.service';
import { EquipoModule } from '../equipo/equipo.module';
import { InstitucionModule } from '../institucion/institucion.module';
import { InstitucionCarreraModule } from '../institucion-carrera/institucion-carrera.module';
import { TipoUsuarioModule } from '../tipo-usuario/tipo-usuario.module';
import { UsuarioModule } from '../usuario/usuario.module';
import { ProgramaModule } from '../programa/programa.module';
import { CarritoModule } from '../carrito/carrito.module';

@Module({
  imports: [
    CarritoModule,
    EquipoModule,
    InstitucionModule,
    InstitucionCarreraModule,
    MulterModule.register({
      dest: './upload',
      fileFilter: (req, file, cb) => {
        if (!file.originalname.match(/\.(jpg|jpeg|png|csv)/))
          return cb(
            new ConflictException('Extención de archivo no valida.'),
            false,
          );
        return cb(null, true);
      },
    }),
    ProgramaModule,
    TipoUsuarioModule,
    UsuarioModule,
  ],
  controllers: [UploadFileController],
  providers: [UploadFileService],
})
export class UploadFileModule {}
